## AgsSFZSynthUtil

AgsSFZSynthUtil — SFZ synth util

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsSFZSynthUtil * | ags_sfz_synth_util_alloc ()
gpointer | ags_sfz_synth_util_copy ()
void | ags_sfz_synth_util_free ()
AgsAudioContainer * | ags_sfz_synth_util_get_sfz_file ()
void | ags_sfz_synth_util_set_sfz_file ()
gpointer | ags_sfz_synth_util_get_source ()
void | ags_sfz_synth_util_set_source ()
guint | ags_sfz_synth_util_get_source_stride ()
void | ags_sfz_synth_util_set_source_stride ()
guint | ags_sfz_synth_util_get_buffer_length ()
void | ags_sfz_synth_util_set_buffer_length ()
AgsSoundcardFormat | ags_sfz_synth_util_get_format ()
void | ags_sfz_synth_util_set_format ()
guint | ags_sfz_synth_util_get_samplerate ()
void | ags_sfz_synth_util_set_samplerate ()
gint | ags_sfz_synth_util_get_midi_key ()
void | ags_sfz_synth_util_set_midi_key ()
gdouble | ags_sfz_synth_util_get_note ()
void | ags_sfz_synth_util_set_note ()
gdouble | ags_sfz_synth_util_get_volume ()
void | ags_sfz_synth_util_set_volume ()
guint | ags_sfz_synth_util_get_frame_count ()
void | ags_sfz_synth_util_set_frame_count ()
guint | ags_sfz_synth_util_get_offset ()
void | ags_sfz_synth_util_set_offset ()
guint | ags_sfz_synth_util_get_loop_mode ()
void | ags_sfz_synth_util_set_loop_mode ()
guint | ags_sfz_synth_util_get_loop_start ()
void | ags_sfz_synth_util_set_loop_start ()
guint | ags_sfz_synth_util_get_loop_end ()
void | ags_sfz_synth_util_set_loop_end ()
GType | ags_sfz_synth_util_get_pitch_type ()
void | ags_sfz_synth_util_set_pitch_type ()
gpointer | ags_sfz_synth_util_get_pitch_util ()
void | ags_sfz_synth_util_set_pitch_util ()
gboolean | ags_sfz_synth_util_get_note_256th_mode ()
void | ags_sfz_synth_util_set_note_256th_mode ()
guint | ags_sfz_synth_util_get_offset_256th ()
void | ags_sfz_synth_util_set_offset_256th ()
void | ags_sfz_synth_util_load_instrument ()
void | ags_sfz_synth_util_compute_s8 ()
void | ags_sfz_synth_util_compute_s16 ()
void | ags_sfz_synth_util_compute_s24 ()
void | ags_sfz_synth_util_compute_s32 ()
void | ags_sfz_synth_util_compute_s64 ()
void | ags_sfz_synth_util_compute_float ()
void | ags_sfz_synth_util_compute_double ()
void | ags_sfz_synth_util_compute_complex ()
void | ags_sfz_synth_util_compute ()

## Types and Values

#define | AGS_SFZ_SYNTH_UTIL_INITIALIZER
enum | AgsSFZSynthUtilLoopMode

## Object Hierarchy

        GBoxed
        ╰── AgsSFZSynthUtil
        GEnum
        ╰── AgsSFZSynthUtilLoopMode

## Includes

    #include <ags/audio/ags_sfz_synth_util.h>

## Description

Utility functions to compute SFZ synths.

## Functions

### ags_sfz_synth_util_alloc ()

    AgsSFZSynthUtil *
    ags_sfz_synth_util_alloc ();

Allocate AgsSFZSynthUtil.

#### Returns

the newly allocated AgsSFZSynthUtil

Since: 3.9.6

### ags_sfz_synth_util_copy ()

    gpointer
    ags_sfz_synth_util_copy (AgsSFZSynthUtil *ptr);

Copy AgsSFZSynthUtil.

#### Parameters

ptr | the AgsSFZSynthUtil |

#### Returns

the newly allocated AgsSFZSynthUtil

Since: 3.9.6

### ags_sfz_synth_util_free ()

    void
    ags_sfz_synth_util_free (AgsSFZSynthUtil *ptr);

Free AgsSFZSynthUtil.

#### Parameters

ptr | the AgsSFZSynthUtil |

Since: 3.9.6

### ags_sfz_synth_util_get_sfz_file ()

    AgsAudioContainer *
    ags_sfz_synth_util_get_sfz_file (AgsSFZSynthUtil *sfz_synth_util);

Get SFZ file of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

#### Returns

the SFZ file

Since: 4.0.0

### ags_sfz_synth_util_set_sfz_file ()

    void
    ags_sfz_synth_util_set_sfz_file (AgsSFZSynthUtil *sfz_synth_util,
                                     AgsAudioContainer *sfz_file);

Set SFZ file of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |
sfz_file | the SFZ file |

Since: 4.0.0

### ags_sfz_synth_util_get_source ()

    gpointer
    ags_sfz_synth_util_get_source (AgsSFZSynthUtil *sfz_synth_util);

Get source buffer of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

#### Returns

the source buffer

Since: 3.9.6

### ags_sfz_synth_util_set_source ()

    void
    ags_sfz_synth_util_set_source (AgsSFZSynthUtil *sfz_synth_util,
                                   gpointer source);

Set `source` buffer of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |
source | the source buffer. | [transfer none]

Since: 3.9.6

### ags_sfz_synth_util_get_source_stride ()

    guint
    ags_sfz_synth_util_get_source_stride (AgsSFZSynthUtil *sfz_synth_util);

Get source stride of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

#### Returns

the source buffer stride

Since: 3.9.6

### ags_sfz_synth_util_set_source_stride ()

    void
    ags_sfz_synth_util_set_source_stride (AgsSFZSynthUtil *sfz_synth_util,
                                          guint source_stride);

Set `source` stride of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |
source_stride | the source buffer stride |

Since: 3.9.6

### ags_sfz_synth_util_get_buffer_length ()

    guint
    ags_sfz_synth_util_get_buffer_length (AgsSFZSynthUtil *sfz_synth_util);

Get buffer length of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

#### Returns

the buffer length

Since: 3.9.6

### ags_sfz_synth_util_set_buffer_length ()

    void
    ags_sfz_synth_util_set_buffer_length (AgsSFZSynthUtil *sfz_synth_util,
                                          guint buffer_length);

Set `buffer_length` of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |
buffer_length | the buffer length |

Since: 3.9.6

### ags_sfz_synth_util_get_format ()

    AgsSoundcardFormat
    ags_sfz_synth_util_get_format (AgsSFZSynthUtil *sfz_synth_util);

Get format of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

#### Returns

the format

Since: 3.9.6

### ags_sfz_synth_util_set_format ()

    void
    ags_sfz_synth_util_set_format (AgsSFZSynthUtil *sfz_synth_util,
                                   AgsSoundcardFormat format);

Set `format` of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |
format | the format |

Since: 3.9.6

### ags_sfz_synth_util_get_samplerate ()

    guint
    ags_sfz_synth_util_get_samplerate (AgsSFZSynthUtil *sfz_synth_util);

Get samplerate of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

#### Returns

the samplerate

Since: 3.9.6

### ags_sfz_synth_util_set_samplerate ()

    void
    ags_sfz_synth_util_set_samplerate (AgsSFZSynthUtil *sfz_synth_util,
                                       guint samplerate);

Set `samplerate` of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |
samplerate | the samplerate |

Since: 3.9.6

### ags_sfz_synth_util_get_midi_key ()

    gint
    ags_sfz_synth_util_get_midi_key (AgsSFZSynthUtil *sfz_synth_util);

Get midi_key of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

#### Returns

the midi key

Since: 3.17.0

### ags_sfz_synth_util_set_midi_key ()

    void
    ags_sfz_synth_util_set_midi_key (AgsSFZSynthUtil *sfz_synth_util,
                                     gint midi_key);

Set `midi_key` of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |
midi_key | the midi key |

Since: 3.17.0

### ags_sfz_synth_util_get_note ()

    gdouble
    ags_sfz_synth_util_get_note (AgsSFZSynthUtil *sfz_synth_util);

Get note of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

#### Returns

the note

Since: 3.9.6

### ags_sfz_synth_util_set_note ()

    void
    ags_sfz_synth_util_set_note (AgsSFZSynthUtil *sfz_synth_util,
                                 gdouble note);

Set `note` of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |
note | the note |

Since: 3.9.6

### ags_sfz_synth_util_get_volume ()

    gdouble
    ags_sfz_synth_util_get_volume (AgsSFZSynthUtil *sfz_synth_util);

Get volume of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

#### Returns

the volume

Since: 3.9.6

### ags_sfz_synth_util_set_volume ()

    void
    ags_sfz_synth_util_set_volume (AgsSFZSynthUtil *sfz_synth_util,
                                   gdouble volume);

Set `volume` of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |
volume | the volume |

Since: 3.9.6

### ags_sfz_synth_util_get_frame_count ()

    guint
    ags_sfz_synth_util_get_frame_count (AgsSFZSynthUtil *sfz_synth_util);

Get frame count of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

#### Returns

the frame count

Since: 3.9.6

### ags_sfz_synth_util_set_frame_count ()

    void
    ags_sfz_synth_util_set_frame_count (AgsSFZSynthUtil *sfz_synth_util,
                                        guint frame_count);

Set `frame_count` of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |
frame_count | the frame count |

Since: 3.9.6

### ags_sfz_synth_util_get_offset ()

    guint
    ags_sfz_synth_util_get_offset (AgsSFZSynthUtil *sfz_synth_util);

Get offset of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

#### Returns

the offset

Since: 3.9.6

### ags_sfz_synth_util_set_offset ()

    void
    ags_sfz_synth_util_set_offset (AgsSFZSynthUtil *sfz_synth_util,
                                   guint offset);

Set `offset` of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |
offset | the offset |

Since: 3.9.6

### ags_sfz_synth_util_get_loop_mode ()

    guint
    ags_sfz_synth_util_get_loop_mode (AgsSFZSynthUtil *sfz_synth_util);

Get loop mode of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

#### Returns

the loop mode

Since: 3.9.6

### ags_sfz_synth_util_set_loop_mode ()

    void
    ags_sfz_synth_util_set_loop_mode (AgsSFZSynthUtil *sfz_synth_util,
                                      guint loop_mode);

Set `loop_mode` of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |
loop_mode | the loop mode |

Since: 3.9.6

### ags_sfz_synth_util_get_loop_start ()

    guint
    ags_sfz_synth_util_get_loop_start (AgsSFZSynthUtil *sfz_synth_util);

Get loop start of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

#### Returns

the loop start

Since: 3.9.6

### ags_sfz_synth_util_set_loop_start ()

    void
    ags_sfz_synth_util_set_loop_start (AgsSFZSynthUtil *sfz_synth_util,
                                       guint loop_start);

Set `loop_start` of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |
loop_start | the loop start |

Since: 3.9.6

### ags_sfz_synth_util_get_loop_end ()

    guint
    ags_sfz_synth_util_get_loop_end (AgsSFZSynthUtil *sfz_synth_util);

Get loop end of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

#### Returns

the loop end

Since: 3.9.6

### ags_sfz_synth_util_set_loop_end ()

    void
    ags_sfz_synth_util_set_loop_end (AgsSFZSynthUtil *sfz_synth_util,
                                     guint loop_end);

Set `loop_end` of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |
loop_end | the loop end |

Since: 3.9.6

### ags_sfz_synth_util_get_pitch_type ()

    GType
    ags_sfz_synth_util_get_pitch_type (AgsSFZSynthUtil *sfz_synth_util);

Get pitch type of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

#### Returns

the pitch type

Since: 4.0.0

### ags_sfz_synth_util_set_pitch_type ()

    void
    ags_sfz_synth_util_set_pitch_type (AgsSFZSynthUtil *sfz_synth_util,
                                       GType pitch_type);

Set `pitch_type` of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |
pitch_type | the pitch type |

Since: 4.0.0

### ags_sfz_synth_util_get_pitch_util ()

    gpointer
    ags_sfz_synth_util_get_pitch_util (AgsSFZSynthUtil *sfz_synth_util);

Get pitch util of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

#### Returns

the pitch util.

[transfer none]

Since: 4.0.0

### ags_sfz_synth_util_set_pitch_util ()

    void
    ags_sfz_synth_util_set_pitch_util (AgsSFZSynthUtil *sfz_synth_util,
                                       gpointer pitch_util);

Set `pitch_util` of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |
pitch_util | the pitch util. | [transfer full]

Since: 4.0.0

### ags_sfz_synth_util_get_note_256th_mode ()

    gboolean
    ags_sfz_synth_util_get_note_256th_mode
                                   (AgsSFZSynthUtil *sfz_synth_util);

Get note 256th mode of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

#### Returns

`TRUE` if note 256th mode, otherwise `FALSE`

Since: 6.1.0

### ags_sfz_synth_util_set_note_256th_mode ()

    void
    ags_sfz_synth_util_set_note_256th_mode
                                   (AgsSFZSynthUtil *sfz_synth_util,
                                    gboolean note_256th_mode);

Set `note_256th_mode` of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |
note_256th_mode | the note 256th mode |

Since: 6.1.0

### ags_sfz_synth_util_get_offset_256th ()

    guint
    ags_sfz_synth_util_get_offset_256th (AgsSFZSynthUtil *sfz_synth_util);

Get offset as note 256th of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

#### Returns

the offset as note 256th

Since: 6.1.0

### ags_sfz_synth_util_set_offset_256th ()

    void
    ags_sfz_synth_util_set_offset_256th (AgsSFZSynthUtil *sfz_synth_util,
                                         guint offset_256th);

Set `offset_256th` of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |
offset_256th | the offset as note 256th |

Since: 6.1.0

### ags_sfz_synth_util_load_instrument ()

    void
    ags_sfz_synth_util_load_instrument (AgsSFZSynthUtil *sfz_synth_util);

Load instrument of `sfz_synth_util` .

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

Since: 3.17.0

### ags_sfz_synth_util_compute_s8 ()

    void
    ags_sfz_synth_util_compute_s8 (AgsSFZSynthUtil *sfz_synth_util);

Compute SFZ synth of signed 8 bit data.

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

Since: 3.9.6

### ags_sfz_synth_util_compute_s16 ()

    void
    ags_sfz_synth_util_compute_s16 (AgsSFZSynthUtil *sfz_synth_util);

Compute SFZ synth of signed 16 bit data.

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

Since: 3.9.6

### ags_sfz_synth_util_compute_s24 ()

    void
    ags_sfz_synth_util_compute_s24 (AgsSFZSynthUtil *sfz_synth_util);

Compute SFZ synth of signed 24 bit data.

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

Since: 3.9.6

### ags_sfz_synth_util_compute_s32 ()

    void
    ags_sfz_synth_util_compute_s32 (AgsSFZSynthUtil *sfz_synth_util);

Compute SFZ synth of signed 32 bit data.

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

Since: 3.9.6

### ags_sfz_synth_util_compute_s64 ()

    void
    ags_sfz_synth_util_compute_s64 (AgsSFZSynthUtil *sfz_synth_util);

Compute SFZ synth of signed 64 bit data.

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

Since: 3.9.6

### ags_sfz_synth_util_compute_float ()

    void
    ags_sfz_synth_util_compute_float (AgsSFZSynthUtil *sfz_synth_util);

Compute SFZ synth of floating point data.

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

Since: 3.9.6

### ags_sfz_synth_util_compute_double ()

    void
    ags_sfz_synth_util_compute_double (AgsSFZSynthUtil *sfz_synth_util);

Compute SFZ synth of double precision floating point data.

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

Since: 3.9.6

### ags_sfz_synth_util_compute_complex ()

    void
    ags_sfz_synth_util_compute_complex (AgsSFZSynthUtil *sfz_synth_util);

Compute SFZ synth of complex data.

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

Since: 3.9.6

### ags_sfz_synth_util_compute ()

    void
    ags_sfz_synth_util_compute (AgsSFZSynthUtil *sfz_synth_util);

Compute SFZ synth.

#### Parameters

sfz_synth_util | the AgsSFZSynthUtil |

Since: 3.9.6

## Types and Values

### AGS_SFZ_SYNTH_UTIL_INITIALIZER

    #define             AGS_SFZ_SYNTH_UTIL_INITIALIZER

### enum AgsSFZSynthUtilLoopMode

Enum values to specify loop mode.

#### Members

AGS_SFZ_SYNTH_UTIL_LOOP_NONE | loop none |
AGS_SFZ_SYNTH_UTIL_LOOP_STANDARD | loop standard |
AGS_SFZ_SYNTH_UTIL_LOOP_RELEASE | loop release |
AGS_SFZ_SYNTH_UTIL_LOOP_PINGPONG | loop pingpong |